Bug 1470988 - [RFE] Use parallel pg_dump for faster backups
[RFE] Use parallel pg_dump for faster backups
Product: ovirt-engine
Classification: oVirt
Component: Backup-Restore.Engine (Show other bugs)
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Yedidyah Bar David
Pavel Stehlik
: FutureFeature, Performance
Depends On: 1459134
Blocks: RHV_PG_95
  Show dependency treegraph
Reported: 2017-07-14 04:34 EDT by Martin Perina
Modified: 2017-09-15 07:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-31 05:59:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?

Attachments (Terms of Use)

  None (edit)
Description Martin Perina 2017-07-14 04:34:32 EDT
Description of problem:

Option to specify number of jobs [1] has been added to pg_dump to increase performance, so we could reuse this inside engine-backup.

[1] https://wiki.postgresql.org/wiki/What%27s_new_in_PostgreSQL_9.3#Parallel_pg_dump_for_faster_backups

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Yedidyah Bar David 2017-07-17 05:27:39 EDT
This bug also requires adding support for 'directory' format.
Comment 2 Yaniv Kaul 2017-07-27 08:20:14 EDT
Is pgpdump today too slow? I doubt we've had anyone complaining about it?
Comment 3 Sandro Bonazzola 2017-07-31 05:59:03 EDT
We have no complains about speed of backups, not sure we should spend time on this.

Note You need to log in before you can comment on or make changes to this bug.